## org.jfree.xml.writer.coretypes
Class GenericWriteHandler

    java.lang.Object
      org.jfree.xml.writer.AbstractXmlWriteHandler
          org.jfree.xml.writer.coretypes.GenericWriteHandler

All Implemented Interfaces:
  XmlWriteHandler

    public class GenericWriteHandler

extends AbstractXmlWriteHandler

A handler for writing generic objects.

Constructor Summary
`GenericWriteHandler(GenericObjectFactory factory)` Creates a new handler.

Method Summary
`void` `write(java.lang.String tagName, java.lang.Object object, XMLWriter writer, java.lang.String mPlexAttribute, java.lang.String mPlexValue)` Performs the writing of a generic object.

Methods inherited from class org.jfree.xml.writer.AbstractXmlWriteHandler
`getRootHandler, setRootHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericWriteHandler

    public GenericWriteHandler(GenericObjectFactory factory)

  Creates a new handler.

  Parameters:
    `factory` - the object factory.

Method Detail

### write

    public void write(java.lang.String tagName,
                      java.lang.Object object,
                      XMLWriter writer,
                      java.lang.String mPlexAttribute,
                      java.lang.String mPlexValue)
               throws java.io.IOException,
                      XMLWriterException

  Performs the writing of a generic object.

  Parameters:
    `tagName` - the tag name.
    `object` - the generic object.
    `writer` - the writer.
    `mPlexAttribute` - ??.
    `mPlexValue` - ??.
  Throws:
    `java.io.IOException` - if there is an I/O error.
    `XMLWriterException` - if there is a writer error.